# making pngs once more, just those with pressure >1036 hPa

cd /home/hollan/light/PV

D=$1
M=`date "+%y%m" -d $D`

cd $M
 if [ -a $D.txt.gz ]
 then 
  gzip -d $D.txt.gz 
 fi

cd ..

ln -s $M/$D.txt ./
ln -s $M/${D}_m.txt ./
ln -s $M/${D}d.txt ./


LC_TIME=C

HH=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\1/p}' $D.txt`
MM=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\2/p}' $D.txt`
SS=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\3/p}' $D.txt`

for F in final_lar_mpw.sh 
do
 nbgnp=`sed -rn '/ night_ba/{s/.*( night_ba[a-z_]+)\.gnp.*/\1/p}' $F`
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/" $nbgnp.gnp > /tmp/U.gnp

sed -r '/\$4-1000/{s/\(\$4-1000\)// ; a\
 ($4>1036 ? 1/0 : $4-1000) \\
n; N; a\
 "apdata.txt" using (3600*(($1<12 ? 24 : 0) + $1)+60*$2+$3):\\\
 ($4>1036 ? 36+1036-$4 : 1/0) \\\
   "%*11[^ ]%lf%*1[:]%lf%*1[:]%lf%*lf%*lf%*lf%*lf%*lf%*lf%lf" \\\
   title "(ev. pressure over 1036 hPa, mirrored at the top)" \\\
   with lines 0, \\
}' /tmp/U.gnp >/tmp/UHP.gnp

sed -r "s/apdata.txt/${D}_m.txt/" /tmp/UHP.gnp >/tmp/U.gnp

 sed -r "/ night_ba/{s| (night_ba[a-z_]+)\.gnp | /tmp/U.gnp |}"  $F > /tmp/$F
 chmod +x /tmp/$F  
 /tmp/$F $D 
done

for F in final_tiny_mpw.sh
do
 nbgnp=`sed -rn '/ night_ba_/{s/.*( night_ba_[a-z_]+)\.gnp.*/\1/p}' $F`
 nbgn=`sed -rn '/ night_basic/{s/.*( night_basic)\.gnp.*/\1/p}' $F`
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/" $nbgnp.gnp > /tmp/U.gnp
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/" $nbgn.gnp > /tmp/UU.gnp

sed -r '/\$4-1000/{s/\(\$4-1000\)// ; a\
 ($4>1036 ? 1/0 : $4-1000) \\
n; N; a\
 "apdata.txt" using (3600*(($1<12 ? 24 : 0) + $1)+60*$2+$3):\\\
 ($4>1036 ? 36+1036-$4 : 1/0) \\\
   "%*11[^ ]%lf%*1[:]%lf%*1[:]%lf%*lf%*lf%*lf%*lf%*lf%*lf%lf" \\\
   notitle \\\
   with lines 0, \\
}' /tmp/U.gnp >/tmp/UHP.gnp

sed -r "s/apdata.txt/${D}_m.txt/" /tmp/UHP.gnp >/tmp/U.gnp

sed -r '/\$4-1000/{s/\(\$4-1000\)// ; a\
 ($4>1036 ? 1/0 : $4-1000) \\
n; N; a\
 "apdata.txt" using (3600*(($1<12 ? 24 : 0) + $1)+60*$2+$3):\\\
 ($4>1036 ? 36+1036-$4 : 1/0) \\\
   "%*11[^ ]%lf%*1[:]%lf%*1[:]%lf%*lf%*lf%*lf%*lf%*lf%*lf%lf" \\\
   notitle \\\
   with lines 0, \\
}' /tmp/UU.gnp >/tmp/UUHP.gnp

sed -r "s/apdata.txt/${D}_m.txt/" /tmp/UUHP.gnp >/tmp/UU.gnp

 sed -r "/ night_ba_/{s| (night_ba_[a-z_]+)\.gnp | /tmp/U.gnp |}
         / night_basic/{s| (night_basic)\.gnp | /tmp/UU.gnp |}
	 "  $F > /tmp/$F
 chmod +x /tmp/$F  
 /tmp/$F $D 
done

scp ${D}_mpw.png jhollan@amper:www/light/luminance/PV/$M

mv $D*.png $M

cd tiny
scp ${D}_m.png jhollan@amper:www/light/luminance/PV/tiny

cd ..

rm ${D}d.txt
rm $D.txt
rm ${D}_m.txt

cd $M
gzip $D.txt
cd ..
